Bug 581341 - Review Request: maildirproc - Sort mail from mail boxes in the maildir format
Summary: Review Request: maildirproc - Sort mail from mail boxes in the maildir format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-11 21:29 UTC by Christoph Wickert
Modified: 2010-05-15 20:43 UTC (History)
3 users (show)

Fixed In Version: maildirproc-0.4.3-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-10 23:48:16 UTC
tomspur: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2010-04-11 21:29:22 UTC
Spec URL: http://cwickert.fedorapeople.org/review/maildirproc.spec
SRPM URL: http://cwickert.fedorapeople.org/review/maildirproc-0.4.2-1.fc14.src.rpm
Description: maildirproc is a program that processes one or several existing mail boxes in the maildir format. It is primarily focused on mail sorting, which means 
moving, copying, forwarding, and deleting mail according to a set of rules. It can be seen as an alternative to procmail, but instead of being a delivery agent (which wants to be part of the delivery chain), maildirproc only processes mail which has already been delivered. That is a feature, not a bug.

Comment 1 Thomas Spura 2010-04-16 21:08:15 UTC
Review:

Good:
- name ok (even without a 'py' in it *harr*)
- rest of specfile ok
  * %build/%install ok
  * %files ok
  * %clean there
- group ok
- license ok (GPLv2+)
$ rpmlint ./maildirproc-0.4.2-1.fc13.src.rpm noarch/maildirproc-0.4.2-1.fc13.noarch.rpm 
maildirproc.src: W: spelling-error Summary(en_US) maildir -> Mailer, mailer, mailing
maildirproc.src: W: spelling-error %description -l en_US maildir -> Mailer, mailer, mailing
maildirproc.src: W: spelling-error %description -l en_US procmail -> proclaim
maildirproc.noarch: W: spelling-error Summary(en_US) maildir -> Mailer, mailer, mailing
maildirproc.noarch: W: spelling-error %description -l en_US maildir -> Mailer, mailer, mailing
maildirproc.noarch: W: spelling-error %description -l en_US procmail -> proclaim
2 packages and 0 specfiles checked; 0 errors, 6 warnings.

Than can't be avoided -> ignorable

- builds in mock
INFO: Done(maildirproc-0.4.2-1.fc13.src.rpm) Config(default) 2 minutes 19 seconds

- sources match upstream sha512:
ab3d56383b7d6bea7abc0ecb510a4b969c7b26f812965fcd8aaa98ce69ded7e90470e229c81378757f15c38346b02fbacfd2a8a3438eb3eafdf5e364c9d4b9c9


Couldwork:
- python2-devel is better than python-devel (no need to get changed, once python-devel will be python3-devel). If you left anything as it it, this package will be build with/against and will automatically require python3 after a rebuild.

Choose if you want to stick with python2 forever or change with the default.


###############################################################################

Only 'coulds' left.

###############################################################################

APPROVED

Comment 2 Christoph Wickert 2010-04-16 21:13:20 UTC
(In reply to comment #1)
> - python2-devel is better than python-devel (no need to get changed, once
> python-devel will be python3-devel). If you left anything as it it, this
> package will be build with/against and will automatically require python3 after
> a rebuild.

This was my plan.

New Package CVS Request
=======================
Package Name: maildirproc
Short Description: Sort mail from mail boxes in the maildir format
Owners: cwickert tomspur
Branches: F-11 F-12 F-13
InitialCC:

Comment 3 Kevin Fenzi 2010-04-18 01:47:14 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-05-03 13:31:52 UTC
maildirproc-0.4.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc13

Comment 5 Fedora Update System 2010-05-03 13:32:07 UTC
maildirproc-0.4.3-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc12

Comment 6 Fedora Update System 2010-05-03 13:35:31 UTC
maildirproc-0.4.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc11

Comment 7 Fedora Update System 2010-05-04 06:10:30 UTC
maildirproc-0.4.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maildirproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc11

Comment 8 Fedora Update System 2010-05-04 06:17:44 UTC
maildirproc-0.4.3-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maildirproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc12

Comment 9 Fedora Update System 2010-05-04 06:24:56 UTC
maildirproc-0.4.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update maildirproc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/maildirproc-0.4.3-1.fc13

Comment 10 Fedora Update System 2010-05-10 23:48:11 UTC
maildirproc-0.4.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-05-15 20:33:56 UTC
maildirproc-0.4.3-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-15 20:43:22 UTC
maildirproc-0.4.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.